Skip to main content
GET
/
v1
/
orgs
/
{org_id}
/
agents
List Agents
curl --request GET \
  --url https://api.letpiper.com/v1/orgs/{org_id}/agents/ \
  --header 'Authorization: Bearer <token>'
{
  "agents": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "internal_name": "<string>",
      "primary_task_description": "<string>",
      "business_information": "<string>",
      "business_information_override": "<string>",
      "model_provider": "openai",
      "model_name": "<string>",
      "temperature": 123,
      "reasoning_effort": "<string>",
      "is_active": true,
      "languages": [
        "<string>"
      ],
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Platform token (starts with pat_)

Path Parameters

org_id
string<uuid>
required

Query Parameters

limit
integer
default:100
Required range: 1 <= x <= 500
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

Schema for listing agents.

agents
AgentResponse · object[]
required
total
integer
required